Package org.openoffice.da.comp.writer2latex

# Class TeXDetectService

java.lang.Object
com.sun.star.lib.uno.helper.WeakBase
org.openoffice.da.comp.writer2latex.TeXDetectService

All Implemented Interfaces:
  `com.sun.star.document.XExtendedFilterDetection`, `com.sun.star.lang.XServiceInfo`, `com.sun.star.lang.XTypeProvider`, `com.sun.star.uno.XInterface`, `com.sun.star.uno.XWeak`

public class TeXDetectService extends com.sun.star.lib.uno.helper.WeakBase implements com.sun.star.document.XExtendedFilterDetection, com.sun.star.lang.XServiceInfo
This class provides detect services for TeX documents It is thus an implementation of the service com.sun.star.document.ExtendedTypeDetection

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`__implementationName`
`static final String`
`__serviceName`

### Fields inherited from class com.sun.star.lib.uno.helper.WeakBase

`_mapTypes`

### Fields inherited from interface com.sun.star.document.XExtendedFilterDetection

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceInfo

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XTypeProvider

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.uno.XWeak

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`TeXDetectService(com.sun.star.uno.XComponentContext xContext)`
Construct a new `TeXDetectService`

## Method Summary

Modifier and Type
Method
Description
`String`
`detect(com.sun.star.beans.PropertyValue[][] mediaDescriptor)`
`String`
`getImplementationName()`
`String[]`
`getSupportedServiceNames()`
`boolean`
`supportsService(String sService)`

### Methods inherited from class com.sun.star.lib.uno.helper.WeakBase

`finalize, getImplementationId, getTypes, queryAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __implementationName

public static final String __implementationName

### __serviceName

public static final String __serviceName

See Also:
  - Constant Field Values

## Constructor Details

### TeXDetectService

public TeXDetectService(com.sun.star.uno.XComponentContext xContext)
Construct a new `TeXDetectService`

Parameters:
  `xContext` - The Component Context

## Method Details

### getImplementationName

public String getImplementationName()

Specified by:
  `getImplementationName` in interface `com.sun.star.lang.XServiceInfo`

### supportsService

public boolean supportsService(String sService)

Specified by:
  `supportsService` in interface `com.sun.star.lang.XServiceInfo`

### getSupportedServiceNames

public String[] getSupportedServiceNames()

Specified by:
  `getSupportedServiceNames` in interface `com.sun.star.lang.XServiceInfo`

### detect

public String detect(com.sun.star.beans.PropertyValue[][] mediaDescriptor)

Specified by:
  `detect` in interface `com.sun.star.document.XExtendedFilterDetection`